# Textarea

This field type renders a multi-line text field.

### Parameters

Parameters are inherited from the [Text](/developer-docs/framework/fields/text.md) field type, with an extra one:

* **editor** - set to `true` to enable the rich text editor or provide an array of [TinyMCE buttons](https://developer.wordpress.org/reference/functions/wp_editor/).

### Example

The code below renders a required multi-line text field with the `custom_field` name, "Custom field" label and "Custom text" placeholder. The maximum allowed text length is 100 characters.

```php
echo ( new HivePress\Fields\Textarea(
	[
		'name'        => 'custom_field',
		'label'       => 'Custom field',
		'placeholder' => 'Custom text',
		'max_length'  => 100,
		'required'    => true,
	]
) )->render();
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hivepress.io/developer-docs/framework/fields/textarea.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
